View all methods

studio.reports.list

List Data Studio reports.

Facts

Method GET https://api.getdx.com/studio.reports.list
Required scope studio:reports:read

Arguments

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.

Optional arguments

Name Type Description
limit Integer Number of reports to return. Must be between 1 and 100. Defaults to 50.
cursor Text Public ID of the report to start after. Use response_metadata.next_cursor from the previous response.
search_term Text Search reports by name.

Usage info

  • Returns reports ordered by creation date, newest first.
  • Organization API keys can list Data Studio reports in the account.
  • Personal access tokens only return reports the token owner can view.

Example request

This is a typical request:

curl -X GET 'https://api.getdx.com/studio.reports.list?limit=50' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "reports": [
    {
      "id": "ou9lhoz888sa",
      "name": "Web Metrics",
      "description": "Main application web visit metrics",
      "markdown_notes": "## Objectives\n---\n* Provide high-level traffic metrics for marketing team\n* Surface for debugging reported web issues.",
      "view_access_type": "everyone",
      "edit_access_type": "read_only",
      "url": "https://app.getdx.com/datacloud/studio/reports/OTEzNA",
      "tiles": [
        {
          "id": "MTE4e2",
          "title": "Median visit duration",
          "sql": "SELECT avg(duration) AS avg_duration, week_start FROM custom.web_visits;",
          "chart_type": "line",
          "chart_config": {
            "xAxis": "week_start",
            "yAxes": ["avg_duration"]
          }
        }
      ],
      "created_at": "2026-03-12T19:56:11Z",
      "updated_at": "2026-05-12T10:46:12Z"
    }
  ],
  "response_metadata": {
    "next_cursor": null
  }
}

Each item in the reports array is a Studio Report object.

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided, or Data Cloud is not available.
invalid_auth Some aspect of authentication cannot be validated.
not_authorized The bearer token does not include the required studio:reports:read scope, or the personal access token owner cannot access Data Studio.
invalid_arguments One or more arguments are invalid.
too_many_requests Too many requests were sent in a short period of time.